C==== INITIAL VALUES FOR ENERGIES AND WAVE
C===== FUNCTIONS IN HFA==================
      SUBROUTINE  ZERO(R5,Z,R8,TETA,
     * IS,IN,IQ,NE5,K)
      INTEGER IN(IS),IQ(IS)
      REAL*8Z,SUM, TETA(IS),R5(NE5 ),R8(NE5,*)
      NE=NE5-15
      DO 10 II=1,NE5
   10 R5(II)=0.
      R5(2)=1.
      SUM=0.
      DO 20 II=K,IS
      R5(1)=((Z-SUM)/DFLOAT(IN(II)))**2
      IF(R5(1).LE.0.)R5(1)=1./DFLOAT(IN(II))**2
      WRITE(6,35) R5(1),R5(2)
 35   FORMAT(' INITIAL ENERGY',2E15.8)
      IF(K.EQ.3.AND.II.NE.IS) GOTO 30
      CALL COLUMN(NE5,R5,R8(1,II))
 30   SUM=SUM+DFLOAT(   IQ(II))
   20 TETA(II)=1.
      RETURN
      END
